Subject: Re: [linux-next:master] BUILD REGRESSION 89bf6e28373beef9577fa71f996a5f73a569617c

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Oct 2022 16:17:16 -0700

On Tue, 25 Oct 2022 16:04:15 -0700 Doug Berger wrote:
> > On Wed, 26 Oct 2022 01:17:48 +0800 kernel test robot wrote:  
> >> drivers/net/ethernet/broadcom/genet/bcmgenet.c:1497:5-13: ERROR: invalid reference to the index variable of the iterator on line 1475  
> > 
> > CC Doug  
> Thanks for highlighting this for me, but I happened to catch it from the 
> linux-mm list and was just looking into it.
> 
> It looks to me like a false positive since I am initializing the 
> loc_rule variable in all paths outside of the list_for_each_entry() loop 
> prior to its use on line 1497.

Ack, indeed the code looks right. Thanks for investigating.

> If desired I can submit a new patch to make coccinelle happy.

I wonder if Cocci can detect writes. Let me add Julia for visibility.

If not we can use a different variable for the "check if already
exists" iteration? It could make the code easier to follow, IMHO.
Or leave it be.